/******************************************************************************
* This file is part of netview 
* (an program to animate TCP/IP networks in 3D with OpenGL).
*
*    Copyright (C) 2004,2005 Stefan Ziegler.
*
*    netview is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    netview is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with netview; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/
# if (__GNUC__ >= 3)
	#include <sstream>

	using namespace std;

	/** Typdefinition zur Nutzung der richtigen Klasse f&uuml;r Streams
	 *  auf Strings (beide funktionieren in der jeweils anderen Version
	 *  nicht richtig):
	 *  - f&uuml;r GNUC Version < 3: strstream
	 *  - f&uuml;r GNUC Version >= 3: stringstream */
	// mapping of stringstream / strstream to usable_stringstream
	typedef stringstream usable_stringstream;
# else
	#include <strstream>
	
	using namespace std;

	/** Typdefinition zur Nutzung der richtigen Klasse f&uuml;r Streams
	 *  auf Strings (beide funktionieren in der jeweils anderen Version
	 *  nicht richtig):
	 *  - f&uuml;r GNUC Version < 3: strstream
	 *  - f&uuml;r GNUC Version >= 3: stringstream */
	// mapping of stringstream / strstream to usable_stringstream
	typedef strstream usable_stringstream;
#endif

